Bug 1097985 - Rename Request: naver-nanum-fonts - Nanum family of Korean TrueType fonts
Summary: Rename Request: naver-nanum-fonts - Nanum family of Korean TrueType fonts
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1096418
TreeView+ depends on / blocked
 
Reported: 2014-05-15 03:45 UTC by Daiki Ueno
Modified: 2014-09-18 03:55 UTC (History)
5 users (show)

Fixed In Version: naver-nanum-fonts-3.020-10.20131007.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-10 07:04:04 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Daiki Ueno 2014-05-15 03:45:36 UTC
Spec URL: http://ueno.fedorapeople.org//naver-nanum-fonts.spec
SRPM URL: http://ueno.fedorapeople.org//naver-nanum-fonts-20131007-1.fc20.src.rpm

Description:

Nanum fonts are collection of commonly-used Myeongjo and Gothic Korean
font families, designed by Sandoll Communication and Fontrix. The
publisher is Naver Corporation.


 This is a Rename request for the former package 'nhn-nanum-fonts'

Comment 1 Parag AN(पराग) 2014-05-19 09:48:27 UTC
First as you said on IRC this change needs many places in Fedora to change to this new package name. I will suggest to send email on fonts list and see if any response we get. If people think we should skip the renaming then we can skip it :)

Other thing the upstream archive is not released under any version number and inside there are various font files with its own release versions. Looks like new upstream is in continuation of development from its previous upstream. We can pick snapshot based package naming.

Name:           %{fontname}-fonts
Version:        3.020
Release:        0.1.20131007%{?dist}

Comment 2 Daiki Ueno 2014-06-03 07:25:56 UTC
From the reaction on the fonts list, I got an impression that we will eventually need this change.  Here are the updated SRPM and spec file:

Spec URL: http://ueno.fedorapeople.org/naver-nanum-fonts/naver-nanum-fonts.spec
SRPM URL: http://ueno.fedorapeople.org/naver-nanum-fonts/naver-nanum-fonts-3.020-10.20131007.fc20.src.rpm

On versioning, I chose the "post-release" versioning to avoid epoch in Provides/Obsoletes (note that the current nhn-nanum-fonts is 3.020-9).

Comment 3 Parag AN(पराग) 2014-06-26 17:08:03 UTC
Review:

+ mock build is successful for rawhide

+ rpmlint output on rpms gave
naver-nanum-barun-gothic-fonts.noarch: W: no-documentation
naver-nanum-brush-fonts.noarch: W: no-documentation
naver-nanum-fonts.src:30: W: mixed-use-of-spaces-and-tabs (spaces: line 30, tab: line 10)
naver-nanum-gothic-fonts.noarch: W: no-documentation
naver-nanum-myeongjo-fonts.noarch: W: no-documentation
naver-nanum-pen-fonts.noarch: W: no-documentation
7 packages and 0 specfiles checked; 0 errors, 6 warnings.

==> OK but good to fix mixed-use-of-spaces-and-tabs

+ Source verified with upstream as (sha256sum)
srpm tarball     : 1ef5eb377e12ce1f4fc78eaff28858ded22ddcc5e01265458f14429abec53fc3
upstream tarball : 1ef5eb377e12ce1f4fc78eaff28858ded22ddcc5e01265458f14429abec53fc3

+ License "OFL" is valid and included in source files.

+ rest looks following packaging guidelines

Suggestions:
1) Group tag can be removed for Fedora spec


APPROVED.

Comment 4 Daiki Ueno 2014-07-07 03:23:32 UTC
Thanks for the review.

New Package SCM Request
=======================
Package Name: naver-nanum-fonts
Short Description: Nanum family of Korean TrueType fonts
Owners: ueno
Branches: f20
InitialCC: fonts-sig i18n-team

Comment 5 Gwyn Ciesla 2014-07-07 11:56:32 UTC
Git done (by process-git-requests).

Comment 6 Jens Petersen 2014-07-16 09:47:33 UTC
Should naver-nanum-*-fonts obsolete nhn-nanum-*fonts?

Comment 7 Daiki Ueno 2014-07-17 03:20:25 UTC
Thanks.  Should be fixed in 3.020-12.

Comment 8 Kevin Kofler 2014-09-17 23:43:47 UTC
Please:
1. update comps to use the new name in all versions of Fedora you pushed the renamed font to (at least 21 and 22), and
2. retire the nhn-* packages correctly, in particular, get them removed from the Fedora 21 and 22 repositories before the Fedora 21 release.

(You should do 1. first or comps will no longer drag in the correct packages after doing 2. This is only working by accident, due to the peculiarity of how obsoleted packages that are still in the repository are processed by Anaconda's comps handling. But obsolete packages should not be left in the repository.)

Comment 9 Daiki Ueno 2014-09-18 03:55:31 UTC
(In reply to Kevin Kofler from comment #8)
> 1. update comps to use the new name in all versions of Fedora you pushed the
> renamed font to (at least 21 and 22), and

Done:
https://git.fedorahosted.org/cgit/comps.git/commit/?id=7a1ca0a60d9e3693883ebe3113da8e8f8380183d

> 2. retire the nhn-* packages correctly, in particular, get them removed from
> the Fedora 21 and 22 repositories before the Fedora 21 release.
> 
> (You should do 1. first or comps will no longer drag in the correct packages
> after doing 2. This is only working by accident, due to the peculiarity of
> how obsoleted packages that are still in the repository are processed by
> Anaconda's comps handling. But obsolete packages should not be left in the
> repository.)

Okay, will do that after waiting for a while.


Note You need to log in before you can comment on or make changes to this bug.